diff -Naur gprename-20220206/Makefile gprename-20220206.patched/Makefile
--- gprename-20220206/Makefile	2022-02-06 21:15:52.000000000 -0500
+++ gprename-20220206.patched/Makefile	2022-04-25 18:44:43.817838632 -0400
@@ -27,7 +27,7 @@
 	perl -ne 's!\@INSTALLDIR\@!$(PREFIX)!g ; print' < bin/gprename > build/gprename
 	perl -ne 's!\@INSTALLDIR\@!$(PREFIX)!g ; print' < bin/gprename.desktop > build/gprename.desktop
 
-install: uninstall build
+install: build
 	# Compile all .po files to .mo
 	msgfmt -o build/locale/ca.mo	locale/ca.po
 	msgfmt -o build/locale/de.mo	locale/de.po
@@ -47,11 +47,11 @@
 	# Create directories
 	install -d "$(DESTDIR)"
 	install -d "$(DESTDIR)/bin"
-	install -d "/usr/share"
-	install -d "/usr/share/icons"
+	install -d "$(DESTDIR)/share"
+	install -d "$(DESTDIR)/share/pixmaps"
 	install -d "$(DESTDIR)/share/applications"
-	install -d "$(DESTDIR)/share/man"
-	install -d "$(DESTDIR)/share/man/man1"
+	install -d "$(DESTDIR)/man"
+	install -d "$(DESTDIR)/man/man1"
 	install -d "$(DESTDIR)/share/locale/ca/LC_MESSAGES"
 	install -d "$(DESTDIR)/share/locale/de/LC_MESSAGES"
 	install -d "$(DESTDIR)/share/locale/es/LC_MESSAGES"
@@ -69,8 +69,8 @@
 
 	# Copy all files in the filesystem
 	install -m 755 build/gprename                "$(DESTDIR)/bin/"
-	install -m 644 icon/gprename.png             "/usr/share/icons/"
-	install -m 644 man/gprename.1                "$(DESTDIR)/share/man/man1/"
+	install -m 644 icon/gprename.png             "$(DESTDIR)/share/pixmaps/"
+	install -m 644 man/gprename.1                "$(DESTDIR)/man/man1/"
 	install -m 644 build/locale/ca.mo            "$(DESTDIR)/share/locale/ca/LC_MESSAGES/gprename.mo"
 	install -m 644 build/locale/de.mo            "$(DESTDIR)/share/locale/de/LC_MESSAGES/gprename.mo"
 	install -m 644 build/locale/es.mo            "$(DESTDIR)/share/locale/es/LC_MESSAGES/gprename.mo"
@@ -85,13 +85,12 @@
 	install -m 644 build/locale/ru.mo            "$(DESTDIR)/share/locale/ru/LC_MESSAGES/gprename.mo"
 	install -m 644 build/locale/sv.mo            "$(DESTDIR)/share/locale/sv/LC_MESSAGES/gprename.mo"
 	install -m 644 build/locale/zh_CN.mo         "$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES/gprename.mo"
-	desktop-file-install bin/gprename.desktop
-	update-desktop-database
+	install -m 644 bin/gprename.desktop          "$(DESTDIR)/share/applications/"
 	@echo "Installation completed."
 
 uninstall: clean
 	rm -f  "$(DESTDIR)/bin/gprename"
-	rm -f  "/usr/share/applications/gprename.desktop"
+	rm -f  "$(DESTDIR)/applications/gprename.desktop"
 	rm -f  "$(DESTDIR)/share/man/man1/gprename.1"
 	rm -f  "$(DESTDIR)/share/locale/ca/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/de/LC_MESSAGES/gprename.mo"
@@ -107,8 +106,7 @@
 	rm -f  "$(DESTDIR)/share/locale/ru/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/sv/LC_MESSAGES/gprename.mo"
 	rm -f  "$(DESTDIR)/share/locale/zh_CN/LC_MESSAGES/gprename.mo"
-	rm -fr "/usr/share/icons/gprename"
-	update-desktop-database
+	rm -fr "$(DESTDIR)/icons/gprename"
 
 clean:
 	rm -rf build
diff -Naur gprename-20220206/bin/gprename gprename-20220206.patched/bin/gprename
--- gprename-20220206/bin/gprename	2022-02-06 21:12:31.000000000 -0500
+++ gprename-20220206.patched/bin/gprename	2022-04-25 18:45:00.881121463 -0400
@@ -137,7 +137,7 @@
 $window->add_accel_group( $accel_group );
 
 # Set the window icon
-my $icon = '/usr/share/icons/gprename.png';
+my $icon = '/usr/share/pixmaps/gprename.png';
 my $pixbuf = Gtk3::Gdk::Pixbuf->new_from_file( $icon );
 $window->set_icon( $pixbuf );
 
@@ -1472,7 +1472,7 @@
    $buffer->create_tag( 'big', size => 20 * 1024 );
    $buffer->create_tag( 'italic', style => 'italic' );
    my $iter = $buffer->get_start_iter;
-   my $icon = '/usr/share/icons/gprename.png';
+   my $icon = '/usr/share/pixmaps/gprename.png';
    my $pixbuf = Gtk3::Gdk::Pixbuf->new_from_file( $icon );
 
    $buffer->insert_pixbuf ($iter,  $pixbuf);
diff -Naur gprename-20220206/bin/gprename.desktop gprename-20220206.patched/bin/gprename.desktop
--- gprename-20220206/bin/gprename.desktop	2022-02-06 21:16:23.000000000 -0500
+++ gprename-20220206.patched/bin/gprename.desktop	2022-04-25 18:45:12.939321332 -0400
@@ -4,7 +4,7 @@
 Name=GPRename
 Comment=Rename files and directories in batch
 Exec=gprename
-Icon=gprename
+Icon=/usr/share/pixmaps/gprename
 Terminal=false
 Keywords=renamer;utility;
 Categories=Utility;
